Two little feature requests for Qt interface and playlists
Status: Closed Start date: April 24, 2020

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/qtui Estimated time: 0.00 hour

Target version: 4.1   

Affects version:    

Description

Hi, first of all thanks to your effort to develop this multimedia player (I enjoy it since 3.1 times)

then I have  two litte question / feature request regarding QT interface and songs list in playlists or Library :

Could you consider increasing the height of rows or add a little bit of padding between rows?

Could the current playing song using the bold font style?

first request could be an option in the APPEARANCE setting : maybe something like compact /normal / large  playlist song view

Regards

Andrea

History

#1 - April 24, 2020 18:45 - John Lindgren

The row height and padding is set by your Qt style/theme, for what it's worth.

#2 - May 12, 2020 12:26 - Dale Powell

"Could the current playing song using the bold font style?"

I would love to see the return of this feature! When I pointed out it was missing they said they wouldn't bring it back as there is a Currently Playing

icon you can add :(

#3 - June 17, 2020 18:13 - Thomas Lange

- File treeview-bold-text.patch added

The attached patch restores the bold font style for the playing song.

@John: Do you think we can merge it as is? Or should we make this dependent on whether the playing column is hidden?

#4 - June 17, 2020 18:35 - John Lindgren

Either way is fine with me.

#5 - June 17, 2020 20:05 - Thomas Lange

- Subject changed from Two little feature requesto for QT interface and  plaaylists to Two little feature requests for Qt interface and playlists

- File treeview-bold-text-v2.patch added

Ok, I would then use the bold font for both cases.

Attached is another optimized patch which caches the font, similar to the approach in the playlist manager plugin.
#6 - June 19, 2020 23:02 - John Lindgren

Looks good to me.

#7 - June 23, 2020 20:19 - Thomas Lange

- Category set to plugins/qtui

Thanks, pushed with https://github.com/audacious-media-player/audacious-plugins/commit/5f325d1e6c257f90c76d9b1c94180b866ae56dc2.

#8 - December 05, 2020 18:11 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

The remaining feature request (increase height/padding between rows) is a QStyle setting and can be changed by switching to a different theme, I

believe. So I'll go ahead and close this.

#9 - December 21, 2020 20:40 - Thomas Lange

- Target version set to 4.1

Files

treeview-bold-text.patch 557 Bytes June 17, 2020 Thomas Lange

treeview-bold-text-v2.patch 2.52 KB June 17, 2020 Thomas Lange
